package com.gic.haoban.manage.api.dto.qdto.role;

import java.io.Serializable;
import java.util.List;

/**
 * 好办小程序权限(TabHaobanRole)实体类
 *
 * @author mozhu
 * @since 2022-09-06 16:35:07
 */
public class HaobanRoleMenuQDTO implements Serializable {

    private static final long serialVersionUID = 554109287178364863L;
    private Long roleId;
    /**
     * 0:导购；1:店长；3:区经
     */
    private Integer clerkType;
    /**
     * 权限id
     */
    private List<String> menuCodes;
    /**
     * 删除权限id
     */
    private List<String> delMenuCodes;
    /**
     * 新增权限id
     */
    private List<String> addMenuCodes;

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }

    public List<String> getMenuCodes() {
        return menuCodes;
    }

    public void setMenuCodes(List<String> menuCodes) {
        this.menuCodes = menuCodes;
    }

    public List<String> getDelMenuCodes() {
        return delMenuCodes;
    }

    public void setDelMenuCodes(List<String> delMenuCodes) {
        this.delMenuCodes = delMenuCodes;
    }

    public List<String> getAddMenuCodes() {
        return addMenuCodes;
    }

    public void setAddMenuCodes(List<String> addMenuCodes) {
        this.addMenuCodes = addMenuCodes;
    }
}

